import { CstNode } from 'java-parser';
export interface Meta {
    type: 'enum' | 'class' | 'record' | null;
    access: 'public' | 'protected' | 'private' | 'default';
    package: null | string[];
    name: string;
}
interface ParseFileMetaOptions {
    classPath?: string;
    filename?: string;
}
export declare function parseFileMeta(contentOrAst: string | CstNode, opts?: ParseFileMetaOptions): Meta;
export {};
